Loading...
Searching...
No Matches
snd_pcm_audio_tstamp_report_t Struct Reference
PCM Interface

`#include <pcm.h>`

## Data Fields

unsigned int | valid:1
unsigned int | actual_type:4
unsigned int | accuracy_report:1
unsigned int | accuracy

## Detailed Description

PCM audio timestamp report

## Field Documentation

## accuracy

unsigned int snd_pcm_audio_tstamp_report_t::accuracy

up to 4.29s in ns units, will be packed in separate field

## accuracy_report

unsigned int snd_pcm_audio_tstamp_report_t::accuracy_report

0 if accuracy unknown, 1 if accuracy field is valid

## actual_type

unsigned int snd_pcm_audio_tstamp_report_t::actual_type

actual type if hardware could not support requested timestamp

## valid

unsigned int snd_pcm_audio_tstamp_report_t::valid

for backwards compatibility

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/pcm.h